version: '2'
services:
  nginx:
    image: nginx:1.12-alpine
    container_name: nginx
    restart: always
    links:
      - php
    volumes:
      - ./samplephpwebsite/:/var/www/symfony/web:ro
      - ./nginx/conf.d:/etc/nginx/conf.d:ro
    ports:
      - 80:80
      - 443:443
  php:
    build: 
      context: ./php
    container_name: php
    restart: always
    volumes:
      - ./samplephpwebsite/:/var/www/symfony/web:ro
    depends_on:
      - db
    links:
      - db
    environment:
      - DB_NAME=lemp_bdd
      - TABLE_PREFIX=lemp_
      - DB_HOST=lemp
      - DB_PASSWORD=password
  db:
    image: mariadb:10.1
    container_name: mariadb
    restart: always
    volumes:
      - ./db-data:/var/lib/mysql
    environment:
      - MYSQL_ROOT_PASSWORD=root
      - MYSQL_USER=php_user
      - MYSQL_PASSWORD=root
  jenkins:
    image: 'jenkins:latest'
    ports:
      - '8080:8080'
      - '444:8443'
      - '50000:50000'
    volumes:
      - './jenkins_data:/jenkins_config'
  